Bug 227283 - pnmtofiasco can't read valid PNM files created by netpbm
pnmtofiasco can't read valid PNM files created by netpbm
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: netpbm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Ben Levenson
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-04 14:02 EST by k3dzngrp8w2xtc9
Modified: 2013-07-02 19:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-21 02:55:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description k3dzngrp8w2xtc9 2007-02-04 14:02:55 EST
Description of problem:
Netpbm creates a PPM file that itself considers invalid.

Version-Release number of selected component (if applicable):
netpbm-10.35-8.1.fc6

How reproducible:
100%

Steps to Reproduce:
1. $ jpegtopnm <something.jpg >something.pnm
   (also with pngtopnm, others not tested)
2. $ pnmtofiasco <something.pnm >something.fco
  
Actual results:
pnmtofiasco: bad magic number - not a ppm, pgm, or pbm file

Expected results:
Conversion of the file to FIASCO format

p.s.:
$ file something.pnm
something.pnm: Netpbm PPM "rawbits" image data
Comment 1 Jindrich Novy 2007-02-08 09:04:03 EST
Seems like pnmtofiasco is unable to read input from stdout for some reason, you
can use pnmtofiasco -i <file>.pnm -o <file>.fco for now as a workaround. I found
another bug in the fiasco codec while investigating it, so I'm planning to fix
more things at once together with fixing this bug.
Comment 2 k3dzngrp8w2xtc9 2007-02-09 01:42:55 EST
Thanks for the workaround.
Comment 3 Bug Zapper 2008-04-04 02:05:47 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Bug Zapper 2008-05-06 15:09:49 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Jindrich Novy 2009-01-21 02:55:56 EST
pnmtofiasco, jpegtopnm and couple of others are now fixed in rawhide.
Comment 6 Fedora Update System 2009-01-29 18:08:47 EST
netpbm-10.35.58-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-01-29 18:11:35 EST
netpbm-10.35.58-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.